<?php
/**
Plugin Name: Rolling Links
Plugin URI: http://www.pluginsbyigor.com
Description: <strong>Make your links rolling</strong>
Author: Igor Burban
Version: 1.0
Author URI: http://www.pluginsbyigor.com
*/

$rollinglinks_plugin_name = 'Rolling Links';
$rollinglinks_plugin_slug = basename(dirname(__FILE__));

//this shortcode function takes post content and turns [rollinglinks] ... [/rollinglinks] into <span class="rlnglnk"> ... </span>
add_shortcode( 'rollinglinks', 'rollinglinks_shortcode' );
function rollinglinks_shortcode( $atts, $content = '' ) 
{
	$content = '<span class="rlnglnk">' . $content . '</span>';
	return $content;
}

add_action( 'init', 'rollinglinks_buttons' );
function rollinglinks_buttons() {
	add_filter("mce_external_plugins", "rollinglinks_add_buttons");
    add_filter('mce_buttons', 'rollinglinks_register_buttons');
}	
function rollinglinks_add_buttons($plugin_array) {
	$plugin_array['rollinglinks'] = plugins_url( 'tinymce_buttons.js' , __FILE__ );
	return $plugin_array;
}
function rollinglinks_register_buttons($buttons) {
	array_push( $buttons, 'rlnglinks' );
	return $buttons;
}


/*
TODO: To finish this, you'll just need to make the js and css part from http://jsfiddle.net/Ht6Ym/1913/ load on every page before </body> tag
Create new .css and .js files and 
use wp_enqueue_style() (http://codex.wordpress.org/Function_Reference/wp_enqueue_style)
and wp_enqueue_script() (http://codex.wordpress.org/Function_Reference/wp_enqueue_script)
Use plugins_url() function from line 83 in this file for correct link

*/


add_action( 'wp_enqueue_scripts', 'rollinglinks_stylesheet' );

/**
 * Enqueue plugin style-file
 */
function rollinglinks_stylesheet() {
	// Respects SSL, Style.css is relative to the current file
	wp_register_style( 'rollinglinks-style', plugins_url('style.css', __FILE__) );
	wp_enqueue_style( 'rollinglinks-style' );
	wp_enqueue_script(
		'rollinglinks-script',
		plugins_url('rollinglinks.js', __FILE__),
		array( 'jquery' )
	);
}